> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger a webhook event

> Triggers a single webhook event.




## OpenAPI

````yaml post /register/dev/trigger_event
openapi: 3.0.3
info:
  title: Onboarding API
  version: '1.0'
  license:
    name: Proprietary
    url: https://qonto.com/terms
servers:
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox
  - url: https://onboarding-partners.qonto.com
    description: Production
security:
  - apiKey: []
    qontoPartnerId: []
tags:
  - name: Registrations
    description: Endpoints for Registration resource
  - name: Files
    description: Endpoints for file management throughout the company creation process.
  - name: Webhooks
    description: Endpoints to configure webhook to be notified about registration progress.
paths:
  /register/dev/trigger_event:
    post:
      tags:
        - Webhooks
      summary: Trigger a webhook event
      description: |
        Triggers a single webhook event.
      operationId: webhooks/dev-trigger
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - resource_id
                - event_type
              properties:
                resource_id:
                  type: string
                  format: uuid
                  example: 481248f5-346a-4711-b8a8-18a0348de10f
                event_type:
                  type: string
                  enum:
                    - registrations.pending
                  example: registrations.pending
      responses:
        '201':
          description: Returns the webhook event triggered.
          content:
            application/json:
              schema:
                type: object
                properties:
                  event:
                    $ref: '#/components/schemas/event'
        '400':
          $ref: '#/components/responses/400-bad-request'
        '401':
          $ref: '#/components/responses/401-unauthorized'
        '409':
          $ref: '#/components/responses/409-conflict'
        '500':
          $ref: '#/components/responses/500-internal-servor-error'
      security:
        - apiKey: []
          qontoPartnerId: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    event:
      title: Event
      type: object
      required:
        - id
        - resource_type
        - resource_id
        - created_at
        - event_type
      properties:
        id:
          type: string
          format: uuid
          example: f4a15ff0-40a2-48d4-8801-99c7b4e0788e
          readOnly: true
        resource_type:
          type: string
          enum:
            - registration
          example: registration
        resource_id:
          type: string
          format: uuid
          example: 481248f5-346a-4711-b8a8-18a0348de10f
        created_at:
          type: string
          format: date-time
          readOnly: true
          example: '2021-08-17T12:31:32.689Z'
        event_type:
          type: string
          description: >
            For a list of supported events per `legal_flow` please refer to
            [Using the
            API/Webhooks](public/documentation/docs/webhooks.md#supported-events)
          example: registrations.completed
    errors:
      title: Errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                readOnly: true
              detail:
                type: string
                readOnly: true
              source:
                type: object
                properties:
                  pointer:
                    type: string
                readOnly: true
            required:
              - code
              - detail
  responses:
    400-bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
    401-unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/unauthorized'
    409-conflict:
      description: >-
        Returns a conflict error if the specified resource identifier didn't
        match the data/id parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/conflict'
    500-internal-servor-error:
      description: Returns an internal server error.
  examples:
    unauthorized:
      value:
        errors:
          - code: unauthorized
            detail: You must authenticate to perform API requests
    conflict:
      value:
        errors:
          - code: conflict
            detail: Type do not match server's endpoint
            source:
              pointer: /data/type
          - code: conflict
            detail: ID do not match server's endpoint
            source:
              pointer: /data/id
  securitySchemes:
    apiKey:
      type: http
      description: >
        Bearer authorization header: `Bearer <token>`.

        To get your `<token>`, please sign up to the [Developer
        Portal](https://developers.qonto.com/).
      scheme: bearer
      bearerFormat: JWT
    qontoPartnerId:
      type: apiKey
      description: >
        API Key authorization header: `Qonto-Partner-Id: <partner_id>`.

        To get your `<partner_id>` please, sign up to the [Developer
        Portal](https://developers.qonto.com/).
      name: Qonto-Partner-Id
      in: header

````